Package org.kapott.hbci.sepa.jaxb.camt_052_001_04

## Class BankTransactionCodeStructure4

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_04.BankTransactionCodeStructure4

    public class BankTransactionCodeStructure4
    extends java.lang.Object

Java class for BankTransactionCodeStructure4 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="BankTransactionCodeStructure4">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Domn" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}BankTransactionCodeStructure5" minOccurs="0"/>
             <element name="Prtry" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}ProprietaryBankTransactionCodeStructure1" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected BankTransactionCodeStructure5` `domn`
`protected ProprietaryBankTransactionCodeStructure1` `prtry`

### Constructor Summary

Constructors
`BankTransactionCodeStructure4()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BankTransactionCodeStructure5` `getDomn()` Gets the value of the domn property.
`ProprietaryBankTransactionCodeStructure1` `getPrtry()` Gets the value of the prtry property.
`void` `setDomn​(BankTransactionCodeStructure5 value)` Sets the value of the domn property.
`void` `setPrtry​(ProprietaryBankTransactionCodeStructure1 value)` Sets the value of the prtry property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### domn

    protected BankTransactionCodeStructure5 domn

#### prtry

    protected ProprietaryBankTransactionCodeStructure1 prtry

### Constructor Detail

#### BankTransactionCodeStructure4

    public BankTransactionCodeStructure4()

### Method Detail

#### getDomn

    public BankTransactionCodeStructure5 getDomn()

Gets the value of the domn property.

Returns:
  possible object is `BankTransactionCodeStructure5`

#### setDomn

    public void setDomn​(BankTransactionCodeStructure5 value)

Sets the value of the domn property.

Parameters:
  `value` - allowed object is `BankTransactionCodeStructure5`

#### getPrtry

    public ProprietaryBankTransactionCodeStructure1 getPrtry()

Gets the value of the prtry property.

Returns:
  possible object is `ProprietaryBankTransactionCodeStructure1`

#### setPrtry

    public void setPrtry​(ProprietaryBankTransactionCodeStructure1 value)

Sets the value of the prtry property.

Parameters:
  `value` - allowed object is `ProprietaryBankTransactionCodeStructure1`